doctrine:
    dbal:
        default_connection: 'default'
        connections:
            default:
                driver: 'pdo_mysql'
                server_version: '5.6'
                charset: utf8
                default_table_options:
                    charset: utf8
                    collate: utf8_unicode_ci
                url: '%env(resolve:DATABASE_URL)%'
            read:
                driver: 'pdo_mysql'
                server_version: '5.6'
                charset: utf8
                default_table_options:
                    charset: utf8
                    collate: utf8_unicode_ci
                url: '%env(resolve:DATABASE_URL)%'
    orm:
        default_entity_manager: default
        auto_generate_proxy_classes: true
        entity_managers:
            default:
                connection: default
                naming_strategy: doctrine.orm.naming_strategy.underscore_number_aware
                auto_mapping: true
                mappings:
                    App:
                        is_bundle: false
                        type: annotation
                        dir: '%kernel.project_dir%/src/Entity'
                        prefix: 'App\Entity'
                        alias: App
            read:
                naming_strategy: 'doctrine.orm.naming_strategy.underscore_number_aware'
                connection: 'read'
                mappings:
                    Read:
                        is_bundle: false
                        type: annotation
                        dir: '%kernel.project_dir%/src/Entity'
                        prefix: 'App\Entity'
#                metadata_cache_driver:
#                    type: 'service'
#                    id: 'snc_redis.cache_clien'
#                query_cache_driver:
#                    type: 'service'
#                    id: 'snc_redis.cache_clien'
#                result_cache_driver:
#                    type: 'service'
#                    id: 'snc_redis.cache_clien'
